% =========================================================================
% file gam.m
%
% Scope: This function defines the linear transformation gamma 
%        mapping [-1,1] into [-1,y]
%
% Call: t = gam(y,z)
%
% Input: y,z = column vectors of points 
%
% Output: t = column vector containing the function gam computed at y and z
%
% Last Update: 16/01/2025
% =========================================================================

function t = gam(y,z)

    t = (1+y)/2.*z+(y-1)/2;

end