% =========================================================================
% file kernelh.m
%
% Scope: This function defines the kernel h of the Volterra operator V
%
% Call: h = kernelh(example,x,y)
%
% Input: example = number of the example in the reference paper
%        x = row vector of points
%        y = column vector of points 
%
% Output: h = matrix of size length(x) x length(y) containing the kernel
%             evaluations at the points h(x(i),y(j))
%
% Last Update: 16/01/2025
% =========================================================================

function h = kernelh(example,x,y)

    switch example
        case 1 
           h = y.*exp(-x);
        case 2
            h = x.*cos(y);
        case 3
            h = sin(sqrt(1+x)).*(x.*y+3);
    end

end

