% =========================================================================
% file kernelk.m
%
% Scope: This function defines the kernel k of the Fredholm operator K
%
% Call: k = kernelk(example,x,y)
%
% Input: example = number of the example in the reference paper
%        x = row vector of points
%        y = column vector of points 
%
% Output: h = matrix of size length(x) x length(y) containing the kernel
%             evaluations at the points k(x(i),y(j))
%
% Last Update: 16/01/2025
% =========================================================================

function k = kernelk(example,x,y)

    switch example
        case 1  
           k = y.^2+x;
        case 2
            k = log(x+y+4);
        case 3
            k = sin(x+y+2);
    end

end

