% =========================================================================
% file righthand.m
%
% Scope: This function defines the right-hand side term g of the integral
%        equation 
%
% Call: g = righthand(example,y)
%
% Input: y = column vector of points 
%
% Output: g = column vector containing the function g computed at y 
%
% Last Update: 16/01/2025
% =========================================================================

function g=righthand(example,y)

    switch example   
       case 1 
           g = y.*sin(y)+y.^2.*besselj(2,1)-y.*exp(-y).*((1+3*y+y.^2).*cos(y)+exp(1+y).*(cos(1)+sin(1)*(y-1))-(2*y+4).*sin(y))/(4*pi);
       case 2
           g = abs(y-1).^(3/2);
       case 3
           g = exp(y);
    end

end
