% =========================================================================
% file weight.m
%
% Scope: This function defines the weight u(x)=(1-x)^ga(1+x)^de (ga,de >= 0) 
%        of the weighted space C_u where we treat the equation
%
% Call: u = weight(ga,de,x)
%
% Input: ga,de = exponents of the Jacobi weight u
%        x = column vector of points 
%
% Output: t = column vector containing the function gam computed at y and z
%
% Last Update: 16/01/2025
% =========================================================================


function u = weight(ga,de,x)

    u = (1-x).^ga.*(1+x).^de;
   
end