% =========================================================================
% file kernelh.m
%
% Scope: This function defines the kernel h of the Volterra operator V
%
% Call: h = kernelh(example,z,y)
%
% Input: example = number of the example in the reference paper
%        z = row vector of points
%        y = column vector of points 
%
% Output: h = matrix of size length(z) x length(y) containing the kernel
%             evaluations at the points h(z(i),y(j))
%
% Last Update: 16/01/2025
% =========================================================================

function h=kernelh(example,z,y)

    switch example
        case 1  
            h = exp(z+y);
        case 2
            h = abs(z).^(7/2).*exp(-(cos(z+y)).^2);
        case 3
            h = exp(abs(z+y));
    end

end

