% =========================================================================
% file kernelk.m
%
% Scope: This function defines the kernel k of the Fredholm operator K
%
% Call: k = kernelk(example,x,z)
%
% Input: example = number of the example in the reference paper
%        x = row vector of points
%        z = column vector of points 
%
% Output: h = matrix of size length(x) x length(z) containing the kernel
%             evaluations at the points k(x(i),z(j))
%
% Last Update: 16/01/2025
% =========================================================================

function k = kernelk(example,x,z)

    switch example
        case 1  
           k = x+z;
        case 2
            k = abs(x).^(7/2).*sin(x+z)./(x+z+5);
        case 3
            k = (3+2.^(x+z));
    end

end
