% =========================================================================
% file righthand.m
%
% Scope: This function defines the right-hand side term g of the integral
%        equation 
%
% Call: g = righthand(example,y)
%
% Input: y = column vector of points 
%
% Output: g = column vector containing the function g computed at y 
%
% Last Update: 16/01/2025
% =========================================================================

function g = righthand(example,y)

    switch example
       case 1 
           a=exp(y-1).*(-9-exp(1+y).*(y-4)+exp(1).^2.*(5+2.*y)-4.*y+(y-2).*exp(3+y));
           g = exp(y+1)+1/10.*a;   
       case 2
           g = cos(y);
       case 3
           g = (y+1).^(5/6);
    end

end
